[Overview][Types][Procedures and functions][Index] | Reference for unit 'GraphMath' (#lcl)

# EllipseRadialLength

EllipseRadialLength - Radial-Length of non-rotated ellipse at any given Eccentric Angle

## Declaration

Source position: graphmath.pp line 74

`function EllipseRadialLength(`
`Rect: TRect;`
`EccentricAngle: Extended`
`):LongInt;`

## Description

Method: EllipseRadialLength

    Params:   Rect, EccentricAngle
      Returns:  Longint

      Use EllipseRadialLength to get the Radial-Length of non-rotated ellipse at
      any given Eccentric( aka Radial ) Angle. It is primarily for use in other
      routines such as RadialPoint. The Eccentric angle is in 1/16th of a degree.
      For example, a full circle equals 5760 (16*360).  Zero degrees is at the
      3 o'clock position.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.